<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1timer.html">timer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">dlib::timer&lt; T &gt; Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a>, including all inherited members.</p>
<table class="directory">
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>action_function</b>() const (defined in <a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>action_object</b>() const (defined in <a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>action_object</b>() (defined in <a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>af</b> (defined in <a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>af_type</b> typedef (defined in <a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1timer.html#a699314c06bb79be1c73400ad1e29a78b">ao</a></td><td class="entry"><a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>clear</b>() (defined in <a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="structdlib_1_1timer__base.html#a60fcbf73c381a0a3084e4322e3a9fc6f">delay</a></td><td class="entry"><a class="el" href="structdlib_1_1timer__base.html">dlib::timer_base</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>delay_time</b>() const (defined in <a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>gc</b> (defined in <a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>in_global_clock</b> (defined in <a class="el" href="structdlib_1_1timer__base.html">dlib::timer_base</a>)</td><td class="entry"><a class="el" href="structdlib_1_1timer__base.html">dlib::timer_base</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>is_alive</b>() const (defined in <a class="el" href="classdlib_1_1threaded__object.html">dlib::threaded_object</a>)</td><td class="entry"><a class="el" href="classdlib_1_1threaded__object.html">dlib::threaded_object</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>is_running</b>() const (defined in <a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classdlib_1_1timer.html#ae25854b715809a5f35642be7620aecb3">kernel_1a</a> typedef</td><td class="entry"><a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>kernel_2a</b> typedef (defined in <a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>next_time_to_run</b> (defined in <a class="el" href="structdlib_1_1timer__base.html">dlib::timer_base</a>)</td><td class="entry"><a class="el" href="structdlib_1_1timer__base.html">dlib::timer_base</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>operator=</b>(const timer &amp;) (defined in <a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>pause</b>() (defined in <a class="el" href="classdlib_1_1threaded__object.html">dlib::threaded_object</a>)</td><td class="entry"><a class="el" href="classdlib_1_1threaded__object.html">dlib::threaded_object</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>restart</b>() (defined in <a class="el" href="classdlib_1_1threaded__object.html">dlib::threaded_object</a>)</td><td class="entry"><a class="el" href="classdlib_1_1threaded__object.html">dlib::threaded_object</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>running</b> (defined in <a class="el" href="structdlib_1_1timer__base.html">dlib::timer_base</a>)</td><td class="entry"><a class="el" href="structdlib_1_1timer__base.html">dlib::timer_base</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>set_delay_time</b>(unsigned long milliseconds) (defined in <a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>set_respawn</b>() (defined in <a class="el" href="classdlib_1_1threaded__object.html">dlib::threaded_object</a>)</td><td class="entry"><a class="el" href="classdlib_1_1threaded__object.html">dlib::threaded_object</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>should_respawn</b>() const (defined in <a class="el" href="classdlib_1_1threaded__object.html">dlib::threaded_object</a>)</td><td class="entry"><a class="el" href="classdlib_1_1threaded__object.html">dlib::threaded_object</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>should_stop</b>() const (defined in <a class="el" href="classdlib_1_1threaded__object.html">dlib::threaded_object</a>)</td><td class="entry"><a class="el" href="classdlib_1_1threaded__object.html">dlib::threaded_object</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>start</b>() (defined in <a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>stop</b>() (defined in <a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>stop_and_wait</b>() (defined in <a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>thread</b>() (defined in <a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classdlib_1_1threaded__object.html#adf50fff115d12c008884f58baac4e5ca">threaded_object</a>()</td><td class="entry"><a class="el" href="classdlib_1_1threaded__object.html">dlib::threaded_object</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>timer</b>(T &amp;ao_, af_type af_) (defined in <a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a></td><td class="entry"></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>timer</b>(const timer &amp;) (defined in <a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>ts</b> (defined in <a class="el" href="structdlib_1_1timer__base.html">dlib::timer_base</a>)</td><td class="entry"><a class="el" href="structdlib_1_1timer__base.html">dlib::timer_base</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>wait</b>() const (defined in <a class="el" href="classdlib_1_1threaded__object.html">dlib::threaded_object</a>)</td><td class="entry"><a class="el" href="classdlib_1_1threaded__object.html">dlib::threaded_object</a></td><td class="entry"><span class="mlabel">private</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~threaded_object</b>() (defined in <a class="el" href="classdlib_1_1threaded__object.html">dlib::threaded_object</a>)</td><td class="entry"><a class="el" href="classdlib_1_1threaded__object.html">dlib::threaded_object</a></td><td class="entry"><span class="mlabel">private</span><span class="mlabel">virtual</span></td></tr>
  <tr bgcolor="#f0f0f0" class="even"><td class="entry"><b>~timer</b>() (defined in <a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a>)</td><td class="entry"><a class="el" href="classdlib_1_1timer.html">dlib::timer&lt; T &gt;</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
